petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESShellGetContext

Returns the user-provided context associated with a shell SNES

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESShellGetContext(SNES snes,void **ctx)

Not Collective Many br

### Input Parameter

snes -should have been created with SNESSetType(snes,SNESSHELL); Many br

### Output Parameter

ctx -the user provided context Many br

Many br

### Notes

This routine is intended for use within various shell routines Many br

### Keywords

SNES, shell, get, context

### See Also

SNESCreateShell(), SNESShellSetContext()

Level:advanced
Location:src/snes/impls/shell/snesshell.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex35.c.html